Bug 145702 - Can't mount USB devices using desktop icons
Summary: Can't mount USB devices using desktop icons
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 18:53 UTC by Robert Jones
Modified: 2008-02-04 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 16:34:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Jones 2005-01-20 18:53:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Desktop device icons properties list both device name and mount point
that existed according to fstab when the icon was created. This works
fine as long as all USB devices are always connected in the same
sequence.  But since the fstab entries are dynamic and the device icon
properties are static, the devices cannot be mounted if the devices
are connected in a different order -- indeed, if one or more devices
is not connected at all -- BECAUSE both device and mount point are
apparently used in the mount command.


Version-Release number of selected component (if applicable):
kdebase-3.3.1-4.1

How reproducible:
Always

Steps to Reproduce:
1.Connect USB Flash drive then USB hard drive
2.Create desktop devices for each 
3.Disconnect both USB drives
4.Connect USB hard drive, then USB Flash drive
5.Clicking on either icon results in error  
    

Actual Results:  Failure to mount

Expected Results:  Would be nice for drive(s) to be mounted

Additional info:

No weird configuration at all. This is an ASUS A7N8X IDE system with
an Adaptec 2940 SCSI card for tape and scanner and stock USB jacks

Comment 1 Matthew Miller 2006-07-10 22:02:31 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-04 16:34:22 UTC
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora 8
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.


Note You need to log in before you can comment on or make changes to this bug.